Automation Run Archives
Alle Operationen rund um Automation Run Archives.
| Methode | Pfad | Operation | Beschreibung |
|---|---|---|---|
POST |
/v1/automation_run_archives |
Create automation_run_archive | Create a new automation_run_archive in the active tenant. |
DELETE |
/v1/automation_run_archives/{id} |
Delete automation_run_archive | Soft delete entity. |
GET |
/v1/automation_run_archives/{id} |
Get automation_run_archive by id | Fetch a single automation_run_archive. |
GET |
/v1/automation_run_archives/{id}/linked |
Get linked entities | CodeMeta OS API endpoint. |
GET |
/v1/automation_run_archives/{id}/timeline |
Get timeline | CodeMeta OS API endpoint. |
GET |
/v1/automation_run_archives/{id}/transitions |
List transitions | CodeMeta OS API endpoint. |
GET |
/v1/automation_run_archives |
List automation_run_archives | List automation_run_archives for the active tenant. |
PATCH |
/v1/automation_run_archives/{id} |
Patch automation_run_archive | JSON Merge Patch update. |
POST |
/v1/automation_run_archives/bulk |
Bulk operation | CodeMeta OS API endpoint. |
POST |
/v1/automation_run_archives/{id}/transition |
POST /v1/automation_run_archives/{id}/transition | CodeMeta OS API endpoint. |
POST |
/v1/automation_run_archives/{id}/transitions/{transitionKey} |
Execute transition | CodeMeta OS API endpoint. |
PUT |
/v1/automation_run_archives/{id} |
Replace automation_run_archive | Full replace with optimistic locking. |